using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MasterLinkFutures.Helper;
using log4net;
using mUtil;
namespace MasterLinkFutures.utils
{
    public class iniData:SingletonBase<iniData>
    {
        private static readonly ILog log = LogManager.GetLogger(typeof(iniData));
        public data d = new data();
        public void init()
        {
            IniFile ifile = new IniFile("configs", "MasterLinkFutures");
            d.profile = ifile.pathL + ifile.IniReadValue("System", "profile");
            d.strSession = ifile.IniReadValue("System", "strSession");
            d.strSession1 = ifile.IniReadValue("System", "strSession1");
            d.account = ifile.IniReadValue("Trader", "account");
        }
        public class data
        {
            public string profile { get; set; }
            public string strSession { get; set; }
            public string strSession1 { get; set; }
            public string account { get; set; }
        }
    }
}
